<?php


Redux::setSection( TM_Robin_Redux::$opt_name, array(
	'title'            => esc_html__( 'Typography', 'tm-robin' ),
	'id'               => 'section_typo',
	'subsection'       => true,
	'customizer_width' => '450px',
	'fields'           => array(
		array(
			'id'          => 'primary_font',
			'type'        => 'typography',
			'title'       => esc_html__( 'Primary Font', 'tm-robin' ),
			'all_styles'  => true,
			'google'      => true,
			'font-backup' => true,
			'output'      => $tm_robin_selectors['primary_font'],
			'units'       => 'px',
			'subtitle'    => esc_html__( 'These settings control the typography for all body text.', 'tm-robin' ),
			'text-align'  => false,
			'default'     => array(
				'font-family' => 'Source Sans Pro',
				'google'      => true,
				'font-backup' => 'Arial, Helvetica, sans-serif',
				'font-weight' => '400',
				'font-size'   => '16px',
				'line-height' => '22px',
				'color'       => '#666666',
			),
		),
		array(
			'id'          => 'secondary_font',
			'type'        => 'typography',
			'title'       => esc_html__( 'Secondary Font', 'tm-robin' ),
			'all_styles'  => true,
			'google'      => true,
			'font-backup' => true,
			'output'      => $tm_robin_selectors['secondary_font'],
			'units'       => 'px',
			'font-size'   => false,
			'line-height' => false,
			'color'       => false,
			'text-align'  => false,
			'default'     => array(
				'font-family' => 'Playfair Display',
				'google'      => true,
				'font-backup' => '\'Times New Roman\', Times,serif',
				'font-weight' => '700',
				'font-style'  => 'normal',
			),
		),

		array(
			'id'          => 'tertiary_font',
			'type'        => 'typography',
			'title'       => esc_html__( 'Tertiary Font', 'tm-robin' ),
			'all_styles'  => true,
			'google'      => true,
			'font-backup' => true,
			'output'      => $tm_robin_selectors['tertiary_font'],
			'units'       => 'px',
			'font-size'   => false,
			'line-height' => false,
			'color'       => false,
			'text-align'  => false,
			'default'     => array(
				'font-family' => 'Yellowtail',
				'google'      => true,
				'font-backup' => 'Arial, Helvetica, sans-serif',
				'font-weight' => '700',
				'font-style'  => 'normal',
			),
		),

		array(
			'id'          => 'heading_font',
			'type'        => 'typography',
			'title'       => esc_html__( 'Heading Font', 'tm-robin' ),
			'subtitle'    => esc_html__( 'Set you typography options for titles (From h1 to h6 HTML tags)', 'tm-robin' ),
			'google'      => true,
			'font-backup' => true,
			'font-size'   => false,
			'line-height' => false,
			'text-align'  => false,
			'color'       => true,
			'all_styles'  => true,
			'output'      => $tm_robin_selectors['heading_font'],
			'units'       => 'px',
			'default'     => array(
				'font-family' => 'Source Sans Pro',
				'font-backup' => 'Arial, Helvetica, sans-serif',
				'font-weight' => '600',
				'color'       => '#111111',
			),
		),
	),
) );
