<?php

Redux::setSection( TM_Robin_Redux::$opt_name, array(
	'title'      => esc_html__( 'General', 'tm-robin' ),
	'id'         => 'section_woo_general',
	'subsection' => true,
	'fields'     => array(

		array(
			'id'       => 'products_hover',
			'type'     => 'image_select',
			'title'    => esc_html__( 'Hover on product', 'tm-robin' ),
			'subtitle' => esc_html__( 'Choose one of those hover effects for products', 'tm-robin' ),
			'options'  => array(
				'base' => array(
					'title' => esc_html__( 'Base', 'tm-robin' ),
					'img'   => TM_ROBIN_ADMIN_IMAGES . DS . 'product-hover-base.jpg',
				),
				'info' => array(
					'title' => esc_html__( 'Full info on hover', 'tm-robin' ),
					'img'   => TM_ROBIN_ADMIN_IMAGES . DS . 'product-hover-full-info.jpg',
				),
			),
			'default'  => 'base',
		),

		array(
			'id'       => 'product_buttons_scheme',
			'type'     => 'image_select',
			'title'    => esc_html__( 'Product Buttons scheme', 'tm-robin' ),
			'subtitle' => esc_html__( 'Select color scheme for product buttons', 'tm-robin' ),
			'options'  => array(
				'dark'   => array(
					'title' => esc_html__( 'Dark', 'tm-robin' ),
					'img'   => TM_ROBIN_ADMIN_IMAGES . DS . 'product-buttons-dark.png',
				),
				'light'  => array(
					'title' => esc_html__( 'Light', 'tm-robin' ),
					'img'   => TM_ROBIN_ADMIN_IMAGES . DS . 'product-buttons-light.png',
				),
				'custom' => array(
					'title' => esc_html__( 'Custom', 'tm-robin' ),
					'img'   => TM_ROBIN_ADMIN_IMAGES . DS . 'product-buttons-custom.png',
				),
			),
			'default'  => 'dark',
		),

		array(
			'id'       => 'product_overlay_color',
			'type'     => 'color_rgba',
			'title'    => esc_html__( 'Overlay Color', 'tm-robin' ),
			'default'  => array(
				'color' => '#000000',
				'alpha' => 0.4,
			),
			'validate' => 'rgba',
			'output'   => $tm_robin_selectors['product_overlay_color'],
			'options'  => array(
				'show_buttons' => false,
			),
			'required' => array(
				'products_hover',
				'=',
				'info',
			),
		),

		array(
			'id'          => 'product_accent_color',
			'type'        => 'color',
			'transparent' => false,
			'title'       => esc_html__( 'Accent Color', 'tm-robin' ),
			'default'     => '#fff',
			'validate'    => 'color',
			'output'      => $tm_robin_selectors['product_accent_color'],
			'required'    => array(
				'products_hover',
				'=',
				'info',
			),
		),

		array(
			'id'          => 'product_buttons_bg_color',
			'type'        => 'color',
			'transparent' => false,
			'title'       => esc_html__( 'Product Buttons Background Color', 'tm-robin' ),
			'default'     => PRIMARY_COLOR,
			'validate'    => 'color',
			'output'      => $tm_robin_selectors['product_buttons_bg_color'],
			'required'    => array(
				'product_buttons_scheme',
				'=',
				'custom',
			),
		),

		array(
			'id'          => 'product_buttons_hover_bg_color',
			'type'        => 'color',
			'transparent' => false,
			'title'       => esc_html__( 'Product Buttons Background Color on hover', 'tm-robin' ),
			'default'     => '#fcb916',
			'validate'    => 'color',
			'output'      => $tm_robin_selectors['product_buttons_hover_bg_color'],
			'required'    => array(
				'product_buttons_scheme',
				'=',
				'custom',
			),
		),

		array(
			'id'       => 'product_buttons_bd_color',
			'type'     => 'color_rgba',
			'title'    => esc_html__( 'Product Buttons Border Color', 'tm-robin' ),
			'default'  => array(
				'color' => '#ffffff',
				'alpha' => 0.4,
			),
			'validate' => 'rgba',
			'options'  => array(
				'show_buttons' => false,
			),
			'output'   => $tm_robin_selectors['product_buttons_bd_color'],
			'required' => array(
				'product_buttons_scheme',
				'=',
				'custom',
			),
		),

		array(
			'id'       => 'product_buttons_hover_bd_color',
			'type'     => 'color_rgba',
			'title'    => esc_html__( 'Product Buttons Border Color on hover', 'tm-robin' ),
			'default'  => array(
				'color' => '#ffffff',
				'alpha' => 0.4,
			),
			'validate' => 'rgba',
			'options'  => array(
				'show_buttons' => false,
			),
			'output'   => $tm_robin_selectors['product_buttons_hover_bd_color'],
			'required' => array(
				'product_buttons_scheme',
				'=',
				'custom',
			),
		),

		array(
			'id'          => 'product_buttons_color',
			'type'        => 'color',
			'transparent' => false,
			'title'       => esc_html__( 'Product Buttons Color', 'tm-robin' ),
			'default'     => '#ffffff',
			'validate'    => 'color',
			'output'      => $tm_robin_selectors['product_buttons_color'],
			'required'    => array(
				'product_buttons_scheme',
				'=',
				'custom',
			),
		),

		array(
			'id'          => 'product_buttons_hover_color',
			'type'        => 'color',
			'transparent' => false,
			'title'       => esc_html__( 'Product Buttons Color on hover', 'tm-robin' ),
			'default'     => '#ffffff',
			'validate'    => 'color',
			'output'      => $tm_robin_selectors['product_buttons_hover_color'],
			'required'    => array(
				'product_buttons_scheme',
				'=',
				'custom',
			),
		),

		array(
			'id'      => 'shop_new_badge_on',
			'type'    => 'switch',
			'title'   => esc_html__( 'Show "New" badge', 'tm-robin' ),
			'default' => true,
		),

		array(
			'id'            => 'shop_new_days',
			'type'          => 'slider',
			'title'         => esc_html__( 'New Product with how many days?', 'tm-robin' ),
			'min'           => 1,
			'max'           => 60,
			'default'       => 10,
			'display_value' => 'label',
		),

		array(
			'id'      => 'shop_hot_badge_on',
			'type'    => 'switch',
			'title'   => esc_html__( 'Show "Hot" badge', 'tm-robin' ),
			'default' => true,
		),

		array(
			'id'      => 'shop_sale_badge_on',
			'type'    => 'switch',
			'title'   => esc_html__( 'Show "Sale" badge', 'tm-robin' ),
			'default' => true,
		),

		array(
			'id'       => 'shop_sale_percent_on',
			'type'     => 'switch',
			'title'    => esc_html__( 'Show saved sale price percentage', 'tm-robin' ),
			'subtitle' => wp_kses( sprintf( __( 'Show percentage instead of text on "Sale" label. Only available with Simple & External/Affiliate product type. You can see <a href="%s" target="_blank">here</a> for more information about product type.', 'tm-robin' ), esc_url( 'https://docs.woocommerce.com/document/managing-products/#product-types' ) ), array(
				'a' => array(
					'href'   => array(),
					'target' => array(),
				),
			) ),
			'default'  => true,
		),

		array(
			'id'      => 'shop_quick_view_on',
			'type'    => 'switch',
			'title'   => esc_html__( 'Quick View', 'tm-robin' ),
			'default' => true,
		),

		array(
			'id'       => 'animated_quick_view_on',
			'type'     => 'switch',
			'title'    => esc_html__( 'Animated Quick View', 'tm-robin' ),
			'default'  => true,
			'required' => array(
				array(
					'shop_quick_view_on',
					'=',
					true,
				),
			),
		),

		array(
			'id'       => 'shop_compare_on',
			'type'     => 'switch',
			'title'    => esc_html__( 'Show "Compare" button', 'tm-robin' ),
			'subtitle' => wp_kses( sprintf( __( 'This feature requires <a href="%s" target="_blank">YITH WooCommerce Compare</a> plugin.', 'tm-robin' ), esc_url( 'https://wordpress.org/plugins/yith-woocommerce-compare/' ) ), array(
				'a' => array(
					'href'   => array(),
					'target' => array(),
				),
			) ),
			'default'  => true,
		),

		array(
			'id'       => 'shop_wishlist_on',
			'type'     => 'switch',
			'title'    => esc_html__( 'Show "Wishlist" button', 'tm-robin' ),
			'subtitle' => wp_kses( sprintf( __( 'This feature requires <a href="%s" target="_blank">YITH WooCommerce Wishlist</a> plugin.', 'tm-robin' ), esc_url( 'https://wordpress.org/plugins/yith-woocommerce-wishlist/' ) ), array(
				'a' => array(
					'href'   => array(),
					'target' => array(),
				),
			) ),
			'default'  => true,
		),

		array(
			'id'      => 'shop_add_to_cart_notification_on',
			'type'    => 'switch',
			'title'   => esc_html__( 'Enable "Add to cart" notification', 'tm-robin' ),
			'default' => true,
		),

		array(
			'id'       => 'shop_add_to_cart_favico_on',
			'type'     => 'switch',
			'title'    => esc_html__( 'Enable "Add to cart" notification on favicon', 'tm-robin' ),
			'subtitle' => esc_html__( 'Allows you to show number of cart item via favicon like Facebook', 'tm-robin' ),
			'default'  => true,
		),

		array(
			'id'       => 'shop_wishlist_notification_on',
			'type'     => 'switch',
			'title'    => esc_html__( 'Enable "Add to wishlist" notification', 'tm-robin' ),
			'subtitle' => wp_kses( sprintf( __( 'This feature requires <a href="%s" target="_blank">YITH WooCommerce Wishlist</a> plugin.', 'tm-robin' ), esc_url( 'https://wordpress.org/plugins/yith-woocommerce-wishlist/' ) ), array(
				'a' => array(
					'href'   => array(),
					'target' => array(),
				),
			) ),
			'default'  => true,
		),
	),
) );
