<?php
/**
 * Class Robin_Datetime_Picker
 *
 * @package Robin
 */
if ( ! class_exists( 'Robin_Datetime_Picker' ) ) {
	class Robin_Datetime_Picker {

		public function __construct() {

			if ( class_exists( 'WpbakeryShortcodeParams' ) ) {
				WpbakeryShortcodeParams::addField( 'datetimepicker', array(
					$this,
					'render'
				), TM_ROBIN_THEME_URI . '/includes/vc-extend/vc-params/robin-datetime-picker/bootstrap-datetimepicker.min.js' );
			}

			add_action( 'admin_enqueue_scripts', array( $this, 'admin_scripts' ) );
		}

		function admin_scripts() {
			wp_enqueue_style( 'tm-robin-datetimepicker', TM_ROBIN_THEME_URI . '/includes/vc-extend/vc-params/robin-datetime-picker/bootstrap-datetimepicker.min.css' );
		}

		public function render( $settings, $value ) {
			$param_name = isset( $settings['param_name'] ) ? $settings['param_name'] : '';
			$id         = uniqid( 'datetime-picker-' );
			$output     = '<div id="' . $id . '" class="tm-datetime-picker">';
			$output .= '<input data-format="yyyy/MM/dd hh:mm:ss" class="wpb_vc_param_value ' . $param_name . '" name="' . $param_name . '" style="width:258px;" value="' . esc_attr( $value ) . '" />';
			$output .= '<div class="add-on" ><i class="fa fa-calendar"></i></div>';
			$output .= '</div>';

			return $output;
		}
	}

	new Robin_Datetime_Picker();
}
