<?php

/*
 * Robin Brands Grid
 *
 * @version 1.0
 * @package Robin
 */
class WPBakeryShortCode_Robin_Brands_Grid extends WPBakeryShortCode {
}

// Mapping shortcode.
vc_map( array(
	'name'        => __( 'Brand\'s Image Grid', 'tm-robin' ),
	'base'        => 'robin_brands_grid',
	'icon'        => 'robin-icon-brands-grid',
	'category'    => sprintf( esc_html__( 'by %s', 'tm-robin' ), TM_ROBIN_THEME_NAME ),
	'description' => esc_html__( 'Show brands in a grid.', 'tm-robin' ),
	'params'      => array(
		array(
			'type'       => 'chosen',
			'heading'    => esc_html__( 'Select Brand', 'tm-robin' ),
			'param_name' => 'brand_slugs',
			'options'    => array(
				'type'  => 'taxonomy',
				'get'   => 'product_brand',
				'field' => 'slug',
			)
		),
		array(
			'type'       => 'checkbox',
			'param_name' => 'hide_empty',
			'std'        => 'yes',
			'value'      => array( esc_html__( 'Hide empty brands', 'tm-robin' ) => 'yes' ),
		),
		array(
			'type'       => 'checkbox',
			'param_name' => 'display_featured',
			'value'      => array( esc_html__( 'Display only feature brands', 'tm-robin' ) => 'yes' ),
		),
		array(
			'type'       => 'checkbox',
			'param_name' => 'show_title',
			'value'      => array( esc_html__( 'Show brand\'s title', 'tm-robin' ) => 'yes' ),
		),
		array(
			'type'       => 'checkbox',
			'param_name' => 'new_tab',
			'value'      => array( esc_html__( 'Open link in a new tab', 'tm-robin' ) => 'yes' ),
		),
		TM_Robin_VC::get_param( 'columns' ),
		TM_Robin_VC::get_param( 'el_class' ),
		TM_Robin_VC::get_param( 'css' ),
	)
) );
