<?php
/**
 * Shortcode attributes
 *
 * @var $atts
 * @var $datetime
 * @var $time_zone
 * @var $countdown_opts
 * @var $digit_color
 * @var $digit_border_color
 * @var $digit_bg_color
 * @var $digit_font_size
 * @var $digit_line_height
 * @var $use_theme_fonts
 * @var $digit_google_fonts
 * @var $unit_color
 * @var $unit_font_size
 * @var $unit_line_height
 * @var $unit_google_fonts
 * @var $str_second_singular
 * @var $str_second_plural
 * @var $str_minute_singular
 * @var $str_minute_plural
 * @var $str_hour_singular
 * @var $str_hour_plural
 * @var $str_day_singular
 * @var $str_day_plural
 * @var $str_week_singular
 * @var $str_week_plural
 * @var $str_month_singular
 * @var $str_month_plural
 * @var $str_year_singular
 * @var $str_year_plural
 * @var $el_class
 * @var $css
 * Shortcode class
 * @var $this WPBakeryShortCode_Robin_Countdown
 */

// This is needed to extract $font_container_data and $google_fonts_data.
extract( $this->getAttributes( $atts ) );

$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

// Get font for digit text
extract( $this->getStyles( $el_class, $css, $google_fonts_data, $atts ) );

$settings = get_option( 'wpb_js_google_fonts_subsets' );
if ( is_array( $settings ) && ! empty( $settings ) ) {
	$subsets = '&subset=' . implode( ',', $settings );
} else {
	$subsets = '';
}

if ( isset( $google_fonts_data['values']['font_family'] ) ) {
	wp_enqueue_style( 'vc_google_fonts_' . vc_build_safe_css_class( $google_fonts_data['values']['font_family'] ), '//fonts.googleapis.com/css?family=' . $google_fonts_data['values']['font_family'] . $subsets );
}

// Get font for unit text
extract( $this->getAttributes( $atts, true ) );
extract( $this->getStyles( $el_class, $css, $unit_google_fonts_data, $atts, true ) );

if ( isset( $unit_google_fonts_data['values']['font_family'] ) ) {
	wp_enqueue_style( 'vc_google_fonts_' . vc_build_safe_css_class( $unit_google_fonts_data['values']['font_family'] ), '//fonts.googleapis.com/css?family=' . $unit_google_fonts_data['values']['font_family'] . $subsets );
}

$css_id        = uniqid( 'tm-robin-countdown-' );
$shortcode_css = $this->shortcode_css( $css_id );

?>
<div class="<?php echo esc_attr( $css_class ); ?>" id="<?php echo esc_attr( $css_id ); ?>"
     data-label-singular="<?php echo esc_attr( $this->get_string_translation() ); ?>"
     data-label-plural="<?php echo esc_attr( $this->get_string_translation( false ) ); ?>"
     data-date="<?php echo esc_attr( $datetime ); ?>"
     data-server-date="<?php str_replace( '-', '/', current_time( 'mysql' ) ); ?>"
     data-countdown-format="<?php echo esc_attr( $this->get_countdown_format() ); ?>"
>
	<?php echo esc_attr( $datetime ); ?>
</div>
